package cz.moneta.test.dsl.mwf;

import java.util.Map;

public class MWFDW8Data {

    private Map<String, Object> params;
    
    public MWFDW8Data(Map<String, Object> params) {
        this.params = params;
    }

    public String rsMobilephonenumber() {
        return (String) params.get("RS_MOBILEPHONENUMBER");
    }

    public String rsRelationshipnumber() {
        return (String) params.get("RS_RELATIONSHIPNUMBER");
    }

    public String rsState() {
        return (String) params.get("RS_STATE");
    }

    public String rsCardnumber() {
        return (String) params.get("RS_CARDNUMBER");
    }

    public String rsHotlink() {
        return (String) params.get("RS_HOTLINK");
    }

    public String rsRelationshipnumberprevious() {
        return (String) params.get("RS_RELATIONSHIPNUMBERPREVIOUS");
    }

    public String rsEmail() {
        return (String) params.get("RS_EMAIL");
    }

    public String rsAccountnumber() {
        return (String) params.get("RS_ACCOUNTNUMBER");
    }

    public String rsFundinapproval() {
        return (String) params.get("RS_FUNDINAPPROVAL");
    }

    public Double rsBalanceamount() {
        return (Double) params.get("RS_BALANCEAMOUNT");
    }

    public String rsNickname() {
        return (String) params.get("RS_NICKNAME");
    }

    public String rsCardnumbermask() {
        return (String) params.get("RS_CARDNUMBERMASK");
    } 

}
